package kd.fi.er.opplugin.web;

import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.validate.AbstractValidator;
import kd.fi.er.validator.*;

import java.util.List;

public class TripRequestSubmitOpEx extends TripRequestSubmitOp{

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        List<AbstractValidator> validators = e.getValidators();
        validators.add(new TripReqSubmitValidatorEx());
        validators.add(new SameCurrencySubmitValidator());
        validators.add(new TripRequestDateValidator());
        validators.add(new PayeraccountSubmitValidator());
    }
}
